> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/accounts-payable/invoices > Retrieves invoices with optional filtering and pagination ## OpenAPI ````json GET /public/accounting/v1/accounts-payable/invoices { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/accounts-payable/invoices": { "get": { "tags": [ "accounting" ], "description": "Retrieves invoices with optional filtering and pagination", "parameters": [ { "name": "ModifiedOnStart", "in": "query", "description": "Modified date start (inclusive)", "schema": { "type": "string", "format": "date-time" } }, { "name": "ModifiedOnEnd", "in": "query", "description": "Modified date end (inclusive)", "schema": { "type": "string", "format": "date-time" } }, { "name": "DateStart", "in": "query", "description": "Date of business start (inclusive)", "schema": { "type": "string", "format": "date" } }, { "name": "DateEnd", "in": "query", "description": "Date of business end (inclusive)", "schema": { "type": "string", "format": "date" } }, { "name": "Status", "in": "query", "description": "Approval status (Approved, Unapproved)", "schema": { "type": "string" } }, { "name": "InvoiceNumbers", "in": "query", "description": "Invoice numbers (comma-separated)", "schema": { "type": "string" } }, { "name": "InvoiceIds", "in": "query", "description": "Invoice IDs (comma-separated GUIDs)", "schema": { "type": "string" } }, { "name": "PageSize", "in": "query", "description": "Number of results per page. Default: 250, Max: 250", "schema": { "maximum": 250, "minimum": 1, "type": "integer", "format": "int32", "default": 250 } }, { "name": "ContinuationToken", "in": "query", "description": "Continuation token for pagination. Use the nextLink from a previous response to get the next page of results", "schema": { "type": "string" } } ], "responses": { "200": { "description": "Invoice query results.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.QueryInvoicesResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Accounting.Public.Contracts.Invoices.Models.QueryInvoicesResponse": { "type": "object", "properties": { "invoices": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.Invoice" }, "description": "The collection of invoices for the current page.", "nullable": true }, "nextLink": { "type": "string", "description": "The URL to retrieve the next page of results, or null if this is the last page.", "nullable": true } }, "additionalProperties": false, "description": "Paginated response containing queried invoices." }, "R365.Accounting.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Accounting.Public.Models.R365Error" } } }, "R365.Accounting.Public.Contracts.Invoices.Models.Invoice": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the invoice.", "format": "uuid" }, "invoiceNumber": { "type": "string", "description": "Vendor-assigned invoice number.", "nullable": true }, "location": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.LocationReference" }, "vendor": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.VendorReference" }, "documentDate": { "type": "string", "description": "Date printed on the invoice document.", "format": "date", "nullable": true }, "documentAmount": { "type": "number", "description": "Total amount of the invoice.", "format": "double" }, "comment": { "type": "string", "description": "Free-text comment or memo on the invoice.", "nullable": true }, "status": { "type": "string", "description": "Approval status of the invoice. Values are \"Approved\", \"Unapproved\".", "nullable": true }, "amount1099": { "type": "number", "description": "Amount reported on Form 1099, if applicable.", "format": "double", "nullable": true }, "form1099": { "type": "string", "description": "Form 1099 type applied to this invoice.", "nullable": true }, "box1099": { "type": "string", "description": "Form 1099 box this invoice amount is reported in.", "nullable": true }, "paymentTerms": { "type": "string", "description": "Payment terms name applied to this invoice.", "nullable": true }, "dueDate": { "type": "string", "description": "Date the invoice payment is due.", "format": "date", "nullable": true }, "isPaid": { "type": "boolean", "description": "Indicates whether the invoice has been fully paid." }, "purchaseOrder": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.PurchaseOrderReference" }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.InvoiceDetail" }, "description": "Line items for this invoice, included when IncludeDetails is true in the request.", "nullable": true }, "distributions": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.DistributionLine" }, "description": "GL distribution lines for this invoice, included when IncludeDistributions is true in the request.", "nullable": true }, "createdOn": { "type": "string", "description": "Timestamp when the invoice was created.", "format": "date-time", "nullable": true }, "createdBy": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.UserReference", "description": "User who created the invoice." }, "modifiedOn": { "type": "string", "description": "Timestamp of the most recent modification.", "format": "date-time", "nullable": true }, "modifiedBy": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.UserReference", "description": "User who last modified the invoice." }, "approvedOn": { "type": "string", "description": "Timestamp when the invoice was approved.", "format": "date-time", "nullable": true }, "approvedBy": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.UserReference", "description": "User who approved the invoice." }, "attachments": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.TransactionAttachment" }, "description": "Files attached to this invoice.", "nullable": true } }, "additionalProperties": false, "description": "Invoice model for the query invoices public API response." }, "R365.Accounting.Public.Contracts.Invoices.Models.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the location.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the location.", "nullable": true }, "number": { "type": "string", "description": "Location number.", "nullable": true }, "legalEntity": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.LegalEntityReference" } }, "additionalProperties": false, "description": "Location reference with optional legal entity." }, "R365.Accounting.Public.Contracts.Invoices.Models.VendorReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the vendor.", "format": "uuid" }, "name": { "type": "string", "description": "Vendor display name (check name).", "nullable": true }, "number": { "type": "string", "description": "Vendor account number.", "nullable": true } }, "additionalProperties": false, "description": "Vendor reference with id, name (CheckName), and number (AccountNumber)." }, "R365.Accounting.Public.Contracts.Invoices.Models.PurchaseOrderReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the purchase order.", "format": "uuid" }, "number": { "type": "string", "description": "Purchase order number.", "nullable": true } }, "additionalProperties": false, "description": "Purchase order reference." }, "R365.Accounting.Public.Contracts.Invoices.Models.InvoiceDetail": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier of the detail line.", "format": "uuid" }, "glAccount": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.GlAccountReference" }, "location": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.LocationReference" }, "comment": { "type": "string", "description": "Free-text comment on this line.", "nullable": true }, "total": { "type": "number", "description": "Total amount for this line.", "format": "double", "nullable": true }, "inventoryItem": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.InventoryItemReference" }, "uom": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.UomReference" }, "quantity": { "type": "number", "description": "Quantity for this line. Populated for item-based entries only.", "format": "double", "nullable": true }, "eachAmount": { "type": "number", "description": "Unit cost for this line. Populated for item-based entries only.", "format": "double", "nullable": true }, "vendorItemNumber": { "type": "string", "description": "Vendor-specific item number. Populated for item-based entries only.", "nullable": true } }, "additionalProperties": false, "description": "Invoice detail line for the query invoices public API response. Covers both item-based and GL-based entries." }, "R365.Accounting.Public.Contracts.Invoices.Models.DistributionLine": { "type": "object", "properties": { "glAccount": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.GlAccountReference" }, "debit": { "type": "number", "description": "Debit amount on this distribution line. Zero when the line is a credit.", "format": "double" }, "credit": { "type": "number", "description": "Credit amount on this distribution line. Zero when the line is a debit.", "format": "double" }, "comment": { "type": "string", "description": "Comment on this distribution line.", "nullable": true }, "location": { "$ref": "#/components/schemas/R365.Accounting.Public.Contracts.Invoices.Models.LocationReference" } }, "additionalProperties": false, "description": "A single GL distribution line for a posted transaction." }, "R365.Accounting.Public.Contracts.Invoices.Models.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the entity.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the entity.", "nullable": true } }, "additionalProperties": false, "description": "User reference." }, "R365.Accounting.Public.Contracts.Invoices.Models.TransactionAttachment": { "type": "object", "properties": { "id": { "type": "integer", "description": "Numeric identifier of the attachment.", "format": "int32" }, "storageFileName": { "type": "string", "description": "Internal storage key or path for the file.", "nullable": true }, "filename": { "type": "string", "description": "Original file name as uploaded.", "nullable": true }, "linkType": { "type": "string", "description": "Link type indicating how the attachment is associated with the transaction.", "nullable": true }, "publicUrl": { "type": "string", "description": "Public URL to download the full attachment.", "nullable": true }, "publicThumbnailUrl": { "type": "string", "description": "Public URL for a thumbnail preview of the attachment, if available.", "nullable": true } }, "additionalProperties": false, "description": "File attachment linked to an AP transaction." }, "R365.Accounting.Public.Contracts.Invoices.Models.LegalEntityReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the legal entity.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the legal entity.", "nullable": true }, "number": { "type": "string", "description": "Legal entity number.", "nullable": true } }, "additionalProperties": false, "description": "Legal entity reference." }, "R365.Accounting.Public.Contracts.Invoices.Models.GlAccountReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the GL account.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the GL account.", "nullable": true }, "number": { "type": "string", "description": "GL account number.", "nullable": true }, "glType": { "type": "string", "description": "GL type name for this account.", "nullable": true } }, "additionalProperties": false, "description": "GL Account reference." }, "R365.Accounting.Public.Contracts.Invoices.Models.InventoryItemReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the inventory item.", "format": "uuid", "nullable": true }, "name": { "type": "string", "description": "Display name of the inventory item.", "nullable": true }, "itemNumber": { "type": "string", "description": "Inventory item number.", "nullable": true } }, "additionalProperties": false, "description": "Inventory item reference." }, "R365.Accounting.Public.Contracts.Invoices.Models.UomReference": { "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier (GUID) of the entity.", "format": "uuid" }, "name": { "type": "string", "description": "Display name of the entity.", "nullable": true } }, "additionalProperties": false, "description": "Unit of measure reference." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````